# Module: elasticsearch
# Docs: https://www.elastic.co/guide/en/beats/metricbeat/main/metricbeat-module-elasticsearch.html

- module: elasticsearch
  service.name: elastic_metricbeat_monitor
  xpack.enabled: true
  metricsets:
    - node
    - node_stats
    - index
    - index_recovery
    - index_summary
    - shard

  period: 10s
  hosts:
    - "https://{{ ip_elk_node_2 }}:9200"
    - "https://{{ ip_elk_node_1 }}:9200"

  username: "{{ beats_username }}"
  password: "{{ beats_password }}"
  ssl.certificate_authorities: ["/etc/metricbeat/certs/elasticsearch-ca.pem"]
